using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int n = Convert.ToInt32(unos[0]);
            int m = Convert.ToInt32(unos[1]);

            if (n == 1) Console.WriteLine(m);
            else if (m == 1) Console.WriteLine(n);
            else Console.WriteLine(2*n + 2*(m-2) + (n-2)*(m-2)/2);
        }
    }
}